:root {
    --announcement-bar-height: 0px;
    --show-fade-animation: 1
}

.l-fullscreen {
    align-items: center;
    display: flex;
    height: 100vh;
    justify-content: center
}

.l-fullscreen__content {
    padding: 0 20px;
    text-align: center
}

@media only screen and (min-width:48rem) {
    .l-fullscreen__content {
        max-width: 500px
    }

    .l-fullscreen__content.in-subscribe-page {
        padding: 0
    }
}

@media only screen and (min-width:64rem) {
    .l-fullscreen__content.in-subscribe-page {
        max-width: 820px
    }
}

.m-back {
    align-items: center;
    color: var(--titles-color);
    cursor: pointer;
    display: flex;
    font-size: .875rem;
    left: 20px;
    letter-spacing: .2px;
    position: absolute;
    top: 20px;
    transition: color .2s ease;
    z-index: 2
}

.m-back:hover {
    color: var(--primary-subtle-color)
}

@media only screen and (min-width:48rem) {
    .m-back {
        font-size: 1rem;
        letter-spacing: .3px;
        top: 40px
    }
}

.m-back span {
    color: inherit;
    display: inline-block
}

.rtl .m-back span:first-of-type {
    order: 2
}

.m-back__icon {
    font-size: .75rem;
    margin-right: 10px
}

@media only screen and (min-width:48rem) {
    .m-back__icon {
        font-size: .875rem
    }
}

.rtl .m-back__icon {
    order: 1
}

.m-subscribe-section {
    background-color: var(--secondary-subtle-color);
    padding: 50px 0
}

@media only screen and (min-width:48rem) {
    .m-subscribe-section {
        padding: 80px 0
    }

    .m-subscribe-section__content {
        align-items: center;
        display: flex;
        justify-content: space-between
    }
}

.m-subscribe-section__text {
    margin-bottom: 30px;
    text-align: center
}

@media only screen and (min-width:48rem) {
    .m-subscribe-section__text {
        flex: 1;
        margin-bottom: 0;
        padding-right: 75px;
        text-align: left
    }

    .rtl .m-subscribe-section__text {
        padding-left: 75px;
        padding-right: 0;
        text-align: right
    }
}

.m-subscribe-section__title {
    color: var(--titles-color);
    font-size: 1.25rem;
    font-weight: 600;
    letter-spacing: .3px;
    line-height: 1.3;
    margin: 0 0 20px
}

@media only screen and (min-width:48rem) {
    .m-subscribe-section__title {
        font-size: 1.5rem;
        letter-spacing: .3px;
        margin-bottom: 15px
    }
}

.m-subscribe-section__description {
    letter-spacing: .2px;
    line-height: 1.4
}

@media only screen and (min-width:48rem) {
    .m-subscribe-section__description {
        font-size: 1.125rem
    }

    .m-subscribe-section__form {
        margin: 0 auto;
        width: 300px
    }
}

.m-subscribe-section__container.loading .m-button {
    pointer-events: none
}

.m-subscribe-section__container.success .m-subscribe__success {
    display: block
}

.m-subscribe-section__container.success .m-subscribe__error,
.m-subscribe-section__container.success .m-subscribe__form,
.m-subscribe-section__container.success .m-subscribe__invalid {
    display: none
}

.m-subscribe-section__container.error .m-subscribe__error,
.m-subscribe-section__container.invalid .m-subscribe__invalid {
    display: block
}

.m-subscribe-section__container.error .m-subscribe__form {
    margin-bottom: 20px
}

.m-subscribe-section__container .m-subscribe__error,
.m-subscribe-section__container .m-subscribe__invalid,
.m-subscribe-section__container .m-subscribe__success {
    display: none
}

.m-subscribe__success_icon {
    display: block;
    height: 64px;
    margin: 0 auto 25px;
    width: 64px
}

.m-subscribe__error {
    text-align: center
}